Comment résoudre les problèmes jQuery Migrate liés à la nouvelle mise à jour WordPress 5.5 ?

shape
shape
shape
shape
shape
shape
shape
shape
Wordpress Jquery Migrate

WordPress 5.5 est décrit comme un véritable succès. Cependant, des milliers de sites se voient affectés par cette dernière mise à jour WordPress. Effectivement, depuis le lancement de cette dernière mise à jour, des milliers de sites web se voient cassés. Alors quels sont ces différents problèmes liés à cette nouvelle mise à jour et comment y faire face ?

Les différentes causes des erreurs Javascript dans WordPress 5.5

WordPress, lors de la mise en place de sa nouvelle mise à jour «Wordpress 5.5.» décide d’abandonner toute la fonctionnalité de sa bibliothèque Javascript jQuery Migrate. Au moins 50 000 sites se sont vu impactés par cette suppression inattendu. 

La suppression de cette fonctionnalité de WordPress était la première étape du processus de modernisation mais donc aussi la plus grande cause de ces nombreux sites cassés.  

Effectivement, avec cette nouvelle mise à jour, certains thèmes et plugins se voient trop anciens et obsolètes, donc non compatibles avec cette nouvelle version de WordPress 5.5. Ils se voyaient utiliser des scripts jQuery plus anciens. 

Certains se sont retrouvés avec une pagination de leur site ainsi que toute leurs différentes fonctionnalités cassées. 

Qu’est-ce-que jQuery Migrate ?

L’extension jQuery Migrate, est une bibliothèque Javascript qui va permettre de préserver la comptabilité de votre code jQuery développé pour les versions jQuery antérieure à 1.9. 

Il va permettre de restaurer toutes les fonctionnalités ainsi que tout les comportements obsolètes pour permettre à l’ancien code de continuer à fonctionner avec toute les prochaines nouvelles versions de jQuery.

JQuery Migrate, va donc permettre de simplifier considérablement le processus de déplacement des anciens code jQuery vers une version supérieur de jQuery tout en identifiant les fonctionnalités obsolètes. 

Comment résoudre ces nombreux problèmes ? 

Ne paniquez plus ! 

En effet, si vous rencontrez certains de ces différents problèmes depuis la mise en place de la nouvelle mise à jour WordPress 5.5, un plugin à été mis en place afin de permettre de restaurer la bibliothèque jQuery Migrate : « JQuery Migrate Helper » , un plugin qui permettra de mettre à jour et tester tout les codes de votre site. Mais attention, il faut savoir que cette fonctionnalité n’est qu’une solution temporaire. Il est donc important de détecter ce qui est à l’origine du problème afin de mettre à jour cette fonctionnalité en la remplacement par le téléchargement d’un tout nouveau plugin à jour.

Votre thème ou plugin est obsolète ?

Certains plugins sont trop anciens pour résister à la nouvelle version de WordPress. Effectivement, ces plugins ou thèmes reposés sur l’extension jQuery Migrate  se sont donc vu supprimés. Pour résoudre ce problème, il est important de vérifier la date de mise à jour de votre extension. Si celle-ci est trop ancienne, alors il est préférable d’en télécharger une plus récente. 

La plus part des plugins à jour ne nécessitaient en aucuns cas de l’extension jQuery migrate. Cela rajoutait une charge inutile à votre site. Il est donc préférable de toujours mettre ses thèmes, plugins et codes à jours. 

Garder un site à jour permettra toujours de le sécuriser !  

Pas de panique, nous avons pensez à tout ! Tout les sites réalisés par notre agence ont été mis à jour et vérifiés afin d’éviter ce bug ! ✅

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *